## deepin-fcitxconfigtool-plugin 0.1.18

=== CMakeLists.txt ===
#cmake版本设置 
cmake_minimum_required(VERSION 3.7)
project(deepin-fcitxconfigtool-plugin)

#加载子目录
add_subdirectory(src)
add_subdirectory(tests)

#调用外部程序  生成qm文件
execute_process(COMMAND bash translate_generation.sh
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== src/CMakeLists.txt ===
#版本设置
set(VERSION 0.1)
#二进制名称
set(BIN_NAME deepin-fcitxconfigtool-plugin)
#项目名称设置
project(${BIN_NAME})

if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra -pthread")
  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT -std=c++11")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -Wl,--gc-sections -pthread")
endif()

# 环境设置
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件
set(CMAKE_CXX_STANDARD 14)

# 查找库
find_package(PkgConfig REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DtkCore REQUIRED)
find_package(DtkCMake REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Gui REQUIRED)
find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5 COMPONENTS LinguistTools REQUIRED)
find_package(Qt5 COMPONENTS Concurrent REQUIRED)
find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Fcitx REQUIRED)
find_package(FcitxQt5DBusAddons REQUIRED)
find_package(FcitxQt5WidgetsAddons REQUIRED)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

#设置资源目录 加载资源文件 翻译文件 源码
set(APP_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../res")
set(APP_QRC "${APP_RES_DIR}/fcitxconfig.qrc")
#创建翻译文件 
set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
set(TS_FILES "${TS_DIR}/${PROJECT_NAME}_en_US.ts")
#更新翻译
find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_SOURCE_DIR} -ts ${_ts_file})  #递归扫描源码 输出ts文件
endforeach()

#创建qm文件
file (GLOB DTNG_TS_FILES ${TS_DIR}/*.ts)
qt5_create_translation(DTNG_QM_FILES ${CMAKE_SOURCE_DIR} ${DTNG_TS_FILES})
add_custom_target(translations ALL DEPENDS ${DTNG_QM_FILES})

FILE(GLOB_RECURSE HEAD_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/fcitxInterface/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/window/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/i18n.h
    ${CMAKE_CURRENT_SOURCE_DIR}/fcitxconfigplugin.h
    ${CMAKE_CURRENT_SOURCE_DIR}/publisher/*.h)

FILE(GLOB_RECURSE SOURCE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/fcitxInterface/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/window/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/i18n.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/fcitxconfigplugin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/publisher/*.cpp)

FILE(GLOB_RECURSE TEST_HEAD_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/../tests/*.h)

FILE(GLOB_RECURSE TEST_SOURCE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/../tests/*.cpp)

set(ALL_SRCS
    ${HEAD_FILES}
    ${SOURCE_FILES}
    ${APP_QRC}
    ${DTNG_QM_FILES}
    )

set(TEST_SRCS
    ${TEST_HEAD_FILES}
    ${TEST_SOURCE_FILES}
    )

#    add_executable(${PROJECT_NAME}
#        ${ALL_SRCS}
#        ${DTNG_QM_FILES}
#        ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
#        )

add_library(${PROJECT_NAME}
        MODULE
        ${ALL_SRCS}
        ${DTNG_QM_FILES}
        )

target_include_directories(${PROJECT_NAME} PUBLIC
        ${DdeControlCenter_INCLUDE_DIR}
        ${DtkCore_INCLUDE_DIRS}
        ${DtkWidget_INCLUDE_DIRS}
        ${DFrameworkDBus_INCLUDE_DIRS}
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
        )

target_link_libraries(${PROJECT_NAME} PRIVATE
        ${DdeControlCenter_LIBRARIES}
        ${DFrameworkDBus_LIBRARIES}
        ${DtkWidget_LIBRARIES}
        ${Qt5Widgets_LIBRARIES}
        ${Qt5DBus_LIBRARIES}
        ${Qt5Concurrent_LIBRARIES}
        ${DtkCore_INCLUDE_DIRS}
        ${OBJECT_BINARY_DIR}
        ${FCITX4_FCITX_UTILS_LIBRARIES}
        ${FCITX4_FCITX_CONFIG_LIBRARIES}
        ${FCITX4_FCITX_LIBRARIES}
        FcitxQt5::WidgetsAddons
        FcitxQt5::DBusAddons
        )

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

# 设置执行 make install 时哪个目标应该被 install 到哪个位置
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION /lib/dde-control-center/modules)

# 安装 .qm 文件
install(FILES ${DTNG_QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)

=== tests/CMakeLists.txt ===
#版本设置
set(VERSION 0.1)
#二进制名称
set(PROJECT_NAME_TEST
    ${PROJECT_NAME}_test)#项目名称设置

if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra -fprofile-arcs -ftest-coverage -lgcov")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra -pthread -fprofile-arcs -ftest-coverage -lgcov")
  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT -std=c++11")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -fprofile-arcs -ftest-coverage -lgcov -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -fprofile-arcs -ftest-coverage -lgcov -Wl,--gc-sections -pthread")
endif()

# 环境设置
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件
set(CMAKE_CXX_STANDARD 14)

#可访问private
ADD_COMPILE_OPTIONS(-fno-access-control)
ADD_COMPILE_OPTIONS(-fno-inline)
#添加-fno-inline编译选项，禁止内联，能获取到函数地址，可以对内联函数进行打桩
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline")

set(DOTEST ON)

# 查找库
enable_testing()
find_package(GTest REQUIRED)
find_package(Qt5 COMPONENTS Test REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DtkCore REQUIRED)
find_package(DtkCMake REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Gui REQUIRED)
find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5 COMPONENTS LinguistTools REQUIRED)
find_package(Qt5 COMPONENTS Concurrent REQUIRED)
find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Fcitx REQUIRED)
find_package(FcitxQt5DBusAddons REQUIRED)
find_package(FcitxQt5WidgetsAddons REQUIRED)

#设置资源目录 加载资源文件 翻译文件 源码
set(APP_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../res")
#创建翻译文件 
#set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
#set(TS_FILES "${TS_DIR}/${PROJECT_NAME}_en_US.ts")
#更新翻译
#find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_SOURCE_DIR} -ts ${_ts_file})  #递归扫描源码 输出ts文件
endforeach()

#创建qm文件
file (GLOB DTNG_TS_FILES ${TS_DIR}/*.ts)
qt5_create_translation(DTNG_QM_FILES
     ${DTNG_TS_FILES}
     ${DTNG_QM_FILES})

FILE(GLOB_RECURSE TEST_HEAD_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h)

FILE(GLOB_RECURSE TEST_SOURCE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)

FILE(GLOB_RECURSE HEAD_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/ddeInterface/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxInterface/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/widgets/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/i18n.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxconfigplugin.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/publisher/*.h)

FILE(GLOB_RECURSE SOURCE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/ddeInterface/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxInterface/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/widgets/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/i18n.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxconfigplugin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/publisher/*.cpp)

set(ALL_SRCS
    ${HEAD_FILES}
    ${SOURCE_FILES}
    ${APP_QRC}
    ${DTNG_QM_FILES}
    )

set(TEST_SRCS
    ${TEST_HEAD_FILES}
    ${TEST_SOURCE_FILES}
    )

add_executable(${PROJECT_NAME_TEST}
    ${ALL_SRCS}
    ${DTNG_QM_FILES}
    ${TEST_SRCS}
    )

include_directories(${PROJECT_NAME_TEST} PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/../src)

target_include_directories(${PROJECT_NAME_TEST} PUBLIC
        ${DdeControlCenter_INCLUDE_DIR}
        ${DtkCore_INCLUDE_DIRS}
        ${DtkWidget_INCLUDE_DIRS}
        ${DFrameworkDBus_INCLUDE_DIRS}
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
        ${GTEST_INCLUDE_DIR}
        )

target_link_libraries(${PROJECT_NAME_TEST} PRIVATE
        ${DdeControlCenter_LIBRARIES}
        ${DFrameworkDBus_LIBRARIES}
        ${DtkWidget_LIBRARIES}
        ${Qt5Widgets_LIBRARIES}
        ${Qt5DBus_LIBRARIES}
        ${Qt5Concurrent_LIBRARIES}
        ${OBJECT_BINARY_DIR}
        ${FCITX4_FCITX_UTILS_LIBRARIES}
        ${FCITX4_FCITX_CONFIG_LIBRARIES}
        ${FCITX4_FCITX_LIBRARIES}
        FcitxQt5::WidgetsAddons
        FcitxQt5::DBusAddons
        ${Qt5Test_LIBRARIES}
        ${GTEST_LIBRARIES}
        )

#------------------------------ 创建'make test'指令---------------------------------------
add_custom_target(test
    COMMAND mkdir -p coverageResult
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})


#add_custom_command(TARGET test
#    COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "
#
#    #1.清理原先的gcov信息
#    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}_test.dir --zerocounters
#    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
#    COMMAND ./src/${PROJECT_NAME}_test
#
#    #2.收集gcov信息到.info文件中
#    COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info
#
#    #3.过滤一些我们不感兴趣的文件的覆盖率信息
#    COMMAND echo " =================== do filter begin ==================== "
#    COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info
#    '*/${PROJECT_NAME}_test_autogen/*' '*/${PROJECT_NAME}_autogen/*' '*/usr/include/*' '*/tests/*' '*/googletest/*' '*/unittest/*' '*/widgets/*' '*/FcitxQtDBusAddons/*' '*/ddeInterface/*' '*/fcitxInterface/*'
#    -o ./coverageResult/${PROJECT_NAME}_Coverage.info
#    COMMAND echo " =================== do filter end ==================== "
#
#    #3.将.info信息生成报告到reprot文件夹中
#    COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage.info
#
#    COMMAND echo " =================== CREAT LCOV REPROT END ==================== "
#
#    COMMAND echo " Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "
#
#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
#    )
#
#'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

=== debian/changelog ===
deepin-fcitxconfigtool-plugin (0.1.18-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 16 Apr 2021 14:04:30 +0800

deepin-fcitxconfigtool-plugin (0.1.9) unstable; urgency=medium

 * 除整体逻辑外功能部分大体完毕

 -- <chenshijie@uniontech.com> Thur, 4 Mar 2021 09:39:00 +0800

deepin-fcitxconfigtool-plugin (0.1.2) unstable; urgency=medium

 * 界面部分搭建完毕

 -- <chenshijie@uniontech.com> Mon, 8 Feb 2021 10:00:00 +0800

deepin-fcitxconfigtool-plugin (0.0.0) unstable; urgency=medium

  * Initial Release.

 -- <liuwenhao@uniontech.com>  Wed, 13 Jan 2021 09:26:45 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = qt5

%:
	dh $@

## deepin-fcitxconfigtool-plugin 4.2.42

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,3 +9,6 @@
 #调用外部程序  生成qm文件
 execute_process(COMMAND bash translate_generation.sh
                 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+
+install(FILES com.deepin.fcitx-config.gschema.xml DESTINATION share/glib-2.0/schemas)
+install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,26 @@
 #二进制名称
 set(PROJECT_NAME_TEST
     ${PROJECT_NAME}_test)#项目名称设置
+
+find_package(ECM REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
+set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_ON")
+if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "aarch64")
+    set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
+    if(CMAKE_SAFETYTEST STREQUAL "")
+        set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
+    endif()
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
+    if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
+    #安全测试选项
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
+    endif()
+endif()
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra -fprofile-arcs -ftest-coverage -lgcov")
@@ -30,8 +50,6 @@
 #添加-fno-inline编译选项，禁止内联，能获取到函数地址，可以对内联函数进行打桩
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline")
 
-set(DOTEST ON)
-
 # 查找库
 enable_testing()
 find_package(GTest REQUIRED)
@@ -41,7 +59,7 @@
 find_package(DtkGui REQUIRED)
 find_package(DtkCore REQUIRED)
 find_package(DtkCMake REQUIRED)
-find_package(DdeControlCenter REQUIRED)
+#find_package(DdeControlCenter REQUIRED)
 find_package(Qt5 COMPONENTS Core REQUIRED)
 find_package(Qt5 COMPONENTS Gui REQUIRED)
 find_package(Qt5 COMPONENTS Widgets REQUIRED)
@@ -52,7 +70,8 @@
 find_package(Fcitx REQUIRED)
 find_package(FcitxQt5DBusAddons REQUIRED)
 find_package(FcitxQt5WidgetsAddons REQUIRED)
-
+find_package(KF5 REQUIRED COMPONENTS I18n)
+pkg_search_module(GSETTINGS REQUIRED gsettings-qt)
 #设置资源目录 加载资源文件 翻译文件 源码
 set(APP_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../res")
 #创建翻译文件 
@@ -82,7 +101,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxInterface/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/widgets/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/*.h
-    ${CMAKE_CURRENT_SOURCE_DIR}/../src/i18n.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxconfigplugin.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/publisher/*.h)
 
@@ -91,7 +109,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxInterface/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/widgets/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/*.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/../src/i18n.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/fcitxconfigplugin.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../src/publisher/*.cpp)
 
@@ -117,16 +134,20 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
 target_include_directories(${PROJECT_NAME_TEST} PUBLIC
-        ${DdeControlCenter_INCLUDE_DIR}
+        "/usr/include/dde-control-center"
+#${DdeControlCenter_INCLUDE_DIR}
         ${DtkCore_INCLUDE_DIRS}
         ${DtkWidget_INCLUDE_DIRS}
         ${DFrameworkDBus_INCLUDE_DIRS}
         ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
         ${GTEST_INCLUDE_DIR}
+        ${GSETTINGS_INCLUDE_DIRS}
         )
 
 target_link_libraries(${PROJECT_NAME_TEST} PRIVATE
-        ${DdeControlCenter_LIBRARIES}
+        "/usr/lib/dde-control-center"
+#${DdeControlCenter_LIBRARIES}
+        KF5::I18n
         ${DFrameworkDBus_LIBRARIES}
         ${DtkWidget_LIBRARIES}
         ${Qt5Widgets_LIBRARIES}
@@ -140,6 +161,7 @@
         FcitxQt5::DBusAddons
         ${Qt5Test_LIBRARIES}
         ${GTEST_LIBRARIES}
+        ${GSETTINGS_LIBRARIES}
         )
 
 #------------------------------ 创建'make test'指令---------------------------------------

=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.42-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Dec 2021 10:17:51 +0800

deepin-fcitxconfigtool-plugin (4.2.41) unstable; urgency=medium

  * 为了龙芯1050集成升一位版本号

 -- Shijie Chen <chenshijie@uniontech.com>  Tue, 21 Dec 2021 15:55:00 +0800

deepin-fcitxconfigtool-plugin (0.1.35) unstable; urgency=medium

 * 1040 集成版本

 -- <chenshijie@uniontech.com> Thu Jun 17 10:00:00 2021 +0800

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,14 @@
 
 %:
 	dh $@
+
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	  -DCMAKE_BUILD_TYPE=Release \
+	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
+	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) \
+	  -DVERSION=$(DEB_VERSION_UPSTREAM)
+
+override_dh_auto_test:
+    # Disable auto tests at build time

## deepin-fcitxconfigtool-plugin 4.2.54

=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.54-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 19 May 2022 11:16:35 +0800

## deepin-fcitxconfigtool-plugin 4.2.55

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,24 @@
 #版本设置
-set(VERSION 0.1)
+#set(VERSION 0.1)
 #二进制名称
 set(BIN_NAME deepin-fcitxconfigtool-plugin)
 #项目名称设置
 project(${BIN_NAME})
+
+#龙芯机器缺少符号表
+if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
+    option(USE_MIPS64 "USE MIPS64" ON)
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+endif()
+
+find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
@@ -31,7 +46,7 @@
 find_package(DtkGui REQUIRED)
 find_package(DtkCore REQUIRED)
 find_package(DtkCMake REQUIRED)
-find_package(DdeControlCenter REQUIRED)
+#find_package(DdeControlCenter REQUIRED)
 find_package(Qt5 COMPONENTS Core REQUIRED)
 find_package(Qt5 COMPONENTS Gui REQUIRED)
 find_package(Qt5 COMPONENTS Widgets REQUIRED)
@@ -42,12 +57,14 @@
 find_package(Fcitx REQUIRED)
 find_package(FcitxQt5DBusAddons REQUIRED)
 find_package(FcitxQt5WidgetsAddons REQUIRED)
+find_package(KF5 REQUIRED COMPONENTS I18n)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
-
+pkg_check_modules(GSETTINGS REQUIRED gsettings-qt)
 #设置资源目录 加载资源文件 翻译文件 源码
 set(APP_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../res")
 set(APP_QRC "${APP_RES_DIR}/fcitxconfig.qrc")
 #创建翻译文件 
+#set(APP_QRC "${TS_DIR}/translations.qrc")
 set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
 set(TS_FILES "${TS_DIR}/${PROJECT_NAME}_en_US.ts")
 #更新翻译
@@ -66,7 +83,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxInterface/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/window/*.h
-    ${CMAKE_CURRENT_SOURCE_DIR}/i18n.h
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxconfigplugin.h
     ${CMAKE_CURRENT_SOURCE_DIR}/publisher/*.h)
 
@@ -74,7 +90,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxInterface/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/window/*.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/i18n.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/fcitxconfigplugin.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/publisher/*.cpp)
 
@@ -96,40 +111,47 @@
     ${TEST_SOURCE_FILES}
     )
 
-#    add_executable(${PROJECT_NAME}
-#        ${ALL_SRCS}
-#        ${DTNG_QM_FILES}
-#        ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
-#        )
+#add_executable(${PROJECT_NAME}
+#    ${ALL_SRCS}
+#    ${DTNG_QM_FILES}
+#    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
+#    )
 
 add_library(${PROJECT_NAME}
-        MODULE
         ${ALL_SRCS}
         ${DTNG_QM_FILES}
+        ${TS_DIR}/translations.qrc
         )
 
 target_include_directories(${PROJECT_NAME} PUBLIC
-        ${DdeControlCenter_INCLUDE_DIR}
+        "/usr/include/dde-control-center"
+        #${DdeControlCenter_INCLUDE_DIR}
         ${DtkCore_INCLUDE_DIRS}
         ${DtkWidget_INCLUDE_DIRS}
         ${DFrameworkDBus_INCLUDE_DIRS}
         ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+        ${FCITX4_FCITX_INCLUDE_DIRS}
+        ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
+        ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
+        ${GSETTINGS_INCLUDE_DIRS}
         )
-
 target_link_libraries(${PROJECT_NAME} PRIVATE
-        ${DdeControlCenter_LIBRARIES}
+        KF5::I18n
+        "/usr/lib/dde-control-center"
+        #${DdeControlCenter_LIBRARIES}
         ${DFrameworkDBus_LIBRARIES}
         ${DtkWidget_LIBRARIES}
+        ${DtkCore_ILIBRARIES}
         ${Qt5Widgets_LIBRARIES}
         ${Qt5DBus_LIBRARIES}
         ${Qt5Concurrent_LIBRARIES}
-        ${DtkCore_INCLUDE_DIRS}
         ${OBJECT_BINARY_DIR}
         ${FCITX4_FCITX_UTILS_LIBRARIES}
         ${FCITX4_FCITX_CONFIG_LIBRARIES}
         ${FCITX4_FCITX_LIBRARIES}
         FcitxQt5::WidgetsAddons
         FcitxQt5::DBusAddons
+        ${GSETTINGS_LIBRARIES}
         )
 
 # Install settings

=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.55-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 14:25:17 +0800

## deepin-fcitxconfigtool-plugin 4.2.56

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,13 @@
 #cmake版本设置 
 cmake_minimum_required(VERSION 3.7)
 project(deepin-fcitxconfigtool-plugin)
+
+# 环境设置
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
+set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
+set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件
+set(CMAKE_CXX_STANDARD 14)
 
 #加载子目录
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -32,13 +32,6 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wl,--gc-sections")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -Wl,--gc-sections -pthread")
 endif()
-
-# 环境设置
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
-set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
-set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件
-set(CMAKE_CXX_STANDARD 14)
 
 # 查找库
 find_package(PkgConfig REQUIRED)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -36,13 +36,6 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -fprofile-arcs -ftest-coverage -lgcov -Wl,--gc-sections")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -fprofile-arcs -ftest-coverage -lgcov -Wl,--gc-sections -pthread")
 endif()
-
-# 环境设置
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
-set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
-set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件
-set(CMAKE_CXX_STANDARD 14)
 
 #可访问private
 ADD_COMPILE_OPTIONS(-fno-access-control)

=== debian/changelog ===
deepin-fcitxconfigtool-plugin (4.2.56-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 28 Jun 2022 15:35:37 +0800

=== debian/control ===
Source: deepin-fcitxconfigtool-plugin
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
 debhelper (>= 11),
 qt5-qmake,
 libqt5widgets5,
 libqt5network5,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdtkgui5,
 libdtkgui5-bin,
 libdtkcore5-bin,
 libdtkcore-dev,
 qttools5-dev,
 qttools5-dev-tools,
 pkg-config,
 cmake (>= 3.1),
 extra-cmake-modules,
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8),
 libfcitx-qt5-1,
 libfcitx-qt5-data,
 libfcitx-qt5-dev,
 iso-codes,
 libkf5i18n-dev,
 libdbus-glib-1-dev,
 libgtk-3-dev (>= 3.20),
 libgtk2.0-dev (>= 2.22),
 libunique-dev,
 libdframeworkdbus-dev,
 libgsettings-qt-dev,
 libgtest-dev,
 libgmock-dev,
 dde-control-center-dev
Standards-Version: 4.1.3
Homepage:  https://www.deepin.org/


Package: deepin-fcitxconfigtool-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: New Fcitx Configtool for Deepin Desktop Environment - development files
 Deepin Fcitxconfigtool Plugin is DDE Control Center plugin for Config Fcitx.
